Get Table Group

Retrieves a table group identified by its GUID.

Required Permissions

Requires the MEMBER role or higher.

HTTP Request

GET /api/sonar/table-groups/:guid

cURL Example

curl -H "Authorization: Bearer <API_KEY>" \
     "https://HOSTNAME/api/sonar/table-groups/:guid"

Request Parameters

KeyRequiredTypeDescriptionNotes
guidYesStringTable group GUID36-character GUID format

Success Response

{
  "table_group": {
    "guid": "bb994ca4-1471-4b91-89f2-99a61bd529b5",
    "name": "table_example",
    "description": "Table example",
    "parent_guid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
    "created": "2024-12-18 20:53:51+0900",
    "updated": "2024-12-18 20:54:15+0900"
  }
}
  • table_group (object): Table group information
    • guid (string): Table group GUID
    • name (string): Table group name
    • description (string): Table group description
    • parent_guid (string): Parent table group GUID
    • created (string): Creation timestamp (format: yyyy-MM-dd HH:mm:ssZ)
    • updated (string): Last update timestamp (format: yyyy-MM-dd HH:mm:ssZ)

Error Responses

Table group does not exist

HTTP status code 200

{
  "table_group": null
}
guid is not in GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}